## org.jboss.netty.handler.codec.rtsp
Class RtspRequestEncoder

    java.lang.Object
      org.jboss.netty.handler.codec.oneone.OneToOneEncoder
          org.jboss.netty.handler.codec.http.HttpMessageEncoder
              org.jboss.netty.handler.codec.rtsp.RtspMessageEncoder
                  org.jboss.netty.handler.codec.rtsp.RtspRequestEncoder

All Implemented Interfaces:
  ChannelDownstreamHandler, ChannelHandler

    public class RtspRequestEncoder

extends RtspMessageEncoder

Encodes an RTSP request represented in `HttpRequest` into a `ChannelBuffer`.

Version:
  $Rev: 2117 $, $Date: 2010-02-01 17:28:17 +0900 (Mon, 01 Feb 2010) $
Author:
  The Netty Project, Amit Bhayani, Trustin Lee

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler
`ChannelHandler.Sharable`

Constructor Summary
`RtspRequestEncoder()`

Method Summary
`protected void` `encodeInitialLine(ChannelBuffer buf, HttpMessage message)`

Methods inherited from class org.jboss.netty.handler.codec.rtsp.RtspMessageEncoder
`encode`

Methods inherited from class org.jboss.netty.handler.codec.oneone.OneToOneEncoder
`handleDownstream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RtspRequestEncoder

    public RtspRequestEncoder()

Method Detail

### encodeInitialLine

    protected void encodeInitialLine(ChannelBuffer buf,
                                     HttpMessage message)
                              throws Exception

  Specified by:
    `encodeInitialLine` in class `HttpMessageEncoder`
  Throws:
    `Exception`

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.